Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636520 - Subslot dependency not satisfied (dev-ml/pcre-ocaml-7.3.3: make inconsistent assumptions over implementation Stdio__Out_channel)
Summary: Subslot dependency not satisfied (dev-ml/pcre-ocaml-7.3.3: make inconsistent...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-04 15:04 UTC by Toralf Förster
Modified: 2020-10-17 09:01 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.97 KB, text/plain)
2017-11-04 15:04 UTC, Toralf Förster
Details
dev-ml:pcre-ocaml-7.3.3:20171104-124435.log (dev-ml:pcre-ocaml-7.3.3:20171104-124435.log,3.17 KB, text/plain)
2017-11-04 15:04 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,147.89 KB, text/plain)
2017-11-04 15:04 UTC, Toralf Förster
Details
environment (environment,11.79 KB, text/plain)
2017-11-04 15:04 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.54 KB, application/x-bzip)
2017-11-04 15:04 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,5.60 KB, application/x-bzip)
2017-11-04 15:04 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-11-04 15:04:07 UTC
Error: Files /usr/lib64/ocaml/configurator/configurator.cmxa
       and /usr/lib64/ocaml/stdio/stdio.cmxa
       make inconsistent assumptions over implementation Stdio__Out_channel
 * ERROR: dev-ml/pcre-ocaml-7.3.3::gentoo failed (compile phase):
 *   (no error message)
 * 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-systemd_test_20171031-164654

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)




emerge -qpv dev-ml/pcre-ocaml
[ebuild  rR   ] dev-ml/ocaml-expect-0.0.5  USE="ocamlopt {test} -debug -doc" 
[ebuild  r  U ]  dev-ml/pcre-ocaml-7.3.3 [7.3.2] USE="-examples" 

The following packages are causing rebuilds:

  (dev-ml/pcre-ocaml-7.3.3:0/7.3.3::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-ml/ocaml-expect-0.0.5:0/0.0.5::gentoo, ebuild scheduled for merge)
Comment 1 Toralf Förster gentoo-dev 2017-11-04 15:04:09 UTC
Created attachment 502514 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-11-04 15:04:13 UTC
Created attachment 502516 [details]
dev-ml:pcre-ocaml-7.3.3:20171104-124435.log
Comment 3 Toralf Förster gentoo-dev 2017-11-04 15:04:16 UTC
Created attachment 502518 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-11-04 15:04:19 UTC
Created attachment 502520 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-11-04 15:04:21 UTC
Created attachment 502522 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-11-04 15:04:24 UTC
Created attachment 502524 [details]
temp.tbz2
Comment 7 Alexis Ballier gentoo-dev 2017-11-04 15:44:22 UTC
dev-ml/configurator has a := dep on stdio so should be rebuilt when updating stdio in order to satisfy a dependency

dev-ml/pcre-ocaml has a (build only) dep on configurator, so considering the := dep of configurator is not honoured, the DEPEND of pcre-ocaml should not be considered as satisfied

reassigning to portage team as that seems like a bug